// Package gen provides primitives to interact with the openapi HTTP API.
//
// Code generated by github.com/deepmap/oapi-codegen/v2 version v2.1.0 DO NOT EDIT.
package gen

const (
	KeyScopes = "key.Scopes"
)

// Defines values for HealthResponseStatus.
const (
	ERROR HealthResponseStatus = "ERROR"
	OK    HealthResponseStatus = "OK"
)

// Envvar defines model for Envvar.
type Envvar struct {
	Name EnvvarName `json:"name"`

	// Value Value of the envvar to store
	Value string `json:"value"`
}

// EnvvarName defines model for EnvvarName.
type EnvvarName = string

// EnvvarsQuota defines model for EnvvarsQuota.
type EnvvarsQuota struct {
	// Quota The quota available to the user
	Quota *int `json:"quota,omitempty"`

	// Used The quota used by the user
	Used *int `json:"used,omitempty"`
}

// GetResponse defines model for GetResponse.
type GetResponse struct {
	Envvar *Envvar `json:"envvar,omitempty"`

	// Messages Lists of messages by priority, note that there will be a warning here when the endpoint is being deprecated
	// with information on how to proceed to update it.
	Messages *ResponseMessages `json:"messages,omitempty"`
}

// HealthResponse defines model for HealthResponse.
type HealthResponse struct {
	// Messages Lists of messages by priority, note that there will be a warning here when the endpoint is being deprecated
	// with information on how to proceed to update it.
	Messages *ResponseMessages     `json:"messages,omitempty"`
	Status   *HealthResponseStatus `json:"status,omitempty"`
}

// HealthResponseStatus defines model for HealthResponse.Status.
type HealthResponseStatus string

// ListResponse defines model for ListResponse.
type ListResponse struct {
	Envvars *[]Envvar `json:"envvars,omitempty"`

	// Messages Lists of messages by priority, note that there will be a warning here when the endpoint is being deprecated
	// with information on how to proceed to update it.
	Messages *ResponseMessages `json:"messages,omitempty"`
}

// QuotaResponse defines model for QuotaResponse.
type QuotaResponse struct {
	// Messages Lists of messages by priority, note that there will be a warning here when the endpoint is being deprecated
	// with information on how to proceed to update it.
	Messages *ResponseMessages `json:"messages,omitempty"`
	Quota    *EnvvarsQuota     `json:"quota,omitempty"`
}

// ResponseMessages Lists of messages by priority, note that there will be a warning here when the endpoint is being deprecated
// with information on how to proceed to update it.
type ResponseMessages struct {
	Error   *[]string `json:"error,omitempty"`
	Info    *[]string `json:"info,omitempty"`
	Warning *[]string `json:"warning,omitempty"`
}

// Forbidden Lists of messages by priority, note that there will be a warning here when the endpoint is being deprecated
// with information on how to proceed to update it.
type Forbidden = ResponseMessages

// InternalError Lists of messages by priority, note that there will be a warning here when the endpoint is being deprecated
// with information on how to proceed to update it.
type InternalError = ResponseMessages

// NotFound Lists of messages by priority, note that there will be a warning here when the endpoint is being deprecated
// with information on how to proceed to update it.
type NotFound = ResponseMessages

// CreateJSONRequestBody defines body for Create for application/json ContentType.
type CreateJSONRequestBody = Envvar
